Video sound effects
POST
/kling/v1/audio/video-to-audioBody Parametersapplication/json
asmr_mode boolean
ASMR mode; enhances detail SFX for immersive scenes. true=on, false=off (default)
bgm_prompt string
BGM generation prompt
callback_url string
Callback URL invoked on task completion
external_task_id string
Custom external task ID for business-side correlation
sound_effect_prompt string
Sound effect generationPrompt
video_id string
ID of a video generated by Kling AI only videos from last 30 days with length 3.0–20.0s
video_url string
URL of the uploaded video provide exactly one of this or video_id video format only supportsMP4/MOV, file size ≤100M, video length 3.0–20.0 seconds
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"asmr_mode": false,
3"bgm_prompt": "",
4"callback_url": "",
5"external_task_id": "",
6"sound_effect_prompt": "符合视频的人的声音",
7"video_id": "825406034503692376",
8"video_url": ""
9}
1curl -X POST "https://api.digislash.com/kling/v1/audio/video-to-audio" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"asmr_mode": false,
6"bgm_prompt": "",
7"callback_url": "",
8"external_task_id": "",
9"sound_effect_prompt": "符合视频的人的声音",
10"video_id": "825406034503692376",
11"video_url": ""
12}'
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}
